From: Peter Burkholder <[email-masked]>
Date: Wed, 18 Feb 2004 13:36:45 -0700

I have httpd 2.0.48 built from source.  It's been running fine for weeks but
this morning it stopped responding to HTTPS although it kept going okay with
HTTP.  In the hopes that it would go away forever, I simply did an 
'httpd restart'.

A few hours later, Nagios told me that HTTPS connects were timing out again.
Damn.  Now I really do have a problem to fix.  I hope someone on the list
can help.

Packet tracing and ssldump indicate that clients are completing the TCP
handshake, but the server is mute after ClientHello:

SSLDUMP output:
---
New TCP connection #1: qaos(47914) <-> aegeanx.dpc.ucar.edu(443)
1 1  0.0458 (0.0458)  C>S  Handshake
      ClientHello
        Version 3.1 
        cipher suites
        TLS_RSA_WITH_RC4_128_SHA
        TLS_RSA_WITH_RC4_128_MD5
        TLS_RSA_WITH_3DES_EDE_CBC_SHA
        compression methods
                  NULL
1 2  0.0754 (0.0296)  S>C  Handshake
      ServerHello
        Version 3.1 
        session_id[32]=
          7b a5 2d ba 12 bb 11 55 1d ed 87 28 42 87 f5 e6 
          a6 f9 9f d2 80 8d b9 d9 19 61 a2 72 19 d2 13 d5 
        cipherSuite         TLS_RSA_WITH_RC4_128_SHA
        compressionMethod                   NULL
1 3  0.0754 (0.0000)  S>C  Handshake
      Certificate
1 4  0.0754 (0.0000)  S>C  Handshake
      ServerHelloDone
1 5  0.1014 (0.0259)  C>S  Handshake
      ClientKeyExchange
1 6  0.1414 (0.0400)  C>S  ChangeCipherSpec
1 7  0.1414 (0.0000)  C>S  Handshake
1 8  0.1513 (0.0098)  S>C  ChangeCipherSpec
1 9  0.1513 (0.0000)  S>C  Handshake
1 10 0.1547 (0.0034)  C>S  application_data
---
After this the server sends an ACK,  then nothing.

I've changed the SSLSessionCache from shmht to dbm, but am I simply wishing
in the hopes that'll change anything?

Thanks,

Peter

--
Peter Burkholder, System Administrator
Digital Library for Earth System Education (DLESEÂ® -- http://www.dlese.org)
[email-masked]
DLESE Program Center (DPC)                               ~~~  ~~  ~~~~   __o
UCAR/DPC, P.O. Box 3000       Ph) +1-303-497-2663      ~~~  ~~~~ ~~    _`\<,_
Boulder, CO 80307-3000        Fx) +1 303-497-8336 ~~~~ ~~~   ~~~~     (*)/ (*)
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]